CreativesList creatives

List creatives

The client's Meta ads that are active or had spend in the last 90 days, highest 90-day spend first, with their creative, analysis headline and a signed thumbnail URL (about an hour). Ads no longer covered are left out unless include_gone=true or status=gone.

curl -X GET "https://mythic-analytics.gulp.workers.dev/client/v1/creatives?location_id=example_string&account_id=example_string&campaign_id=example_string&adset_id=example_string&status=example_string&format=image&has_video=true&tag=example_string&epic=in_order&since=example_string&include_gone=true&limit=50&cursor=example_string" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
{
  "success": true,
  "data": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "ad_id": "example_string",
      "account_id": "example_string",
      "campaign_id": "example_string",
      "adset_id": "example_string",
      "ad_name": "John Doe",
      "adset_name": "John Doe",
      "campaign_name": "John Doe",
      "effective_status": "ACTIVE",
      "gone": true,
      "gone_at": "2024-12-25T10:00:00Z",
      "ad_created_at": "2024-12-25T10:00:00Z",
      "creative_id": "example_string",
      "creative_found": true,
      "display_format": "image",
      "title": "example_string",
      "body": "example_string",
      "link_description": "example_string",
      "cta_type": "LEARN_MORE",
      "cta_text": "Learn More",
      "link_url": "example_string",
      "has_video": true,
      "video_id": "example_string",
      "video_duration_s": 3.14,
      "spend_90d": 3.14,
      "impressions_90d": 42,
      "last_spend_date": "2024-12-25",
      "spend_30d": 3.14,
      "impressions_30d": 42,
      "media_status": "pending",
      "analysis_status": "pending",
      "hook": "example_string",
      "hook_start_s": 3.14,
      "hook_end_s": 3.14,
      "tags": {},
      "epic": {
        "all_stages_in_order": true,
        "rules_met": 42,
        "rules_total": 42
      },
      "thumbnail_url": "example_string",
      "first_seen_at": "2024-12-25T10:00:00Z",
      "last_seen_at": "2024-12-25T10:00:00Z"
    }
  ],
  "next_cursor": "example_string",
  "spend_error": "example_string",
  "meta": {
    "spend_error": "example_string"
  }
}
GET
/client/v1/creatives
GET
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token
Bearer Tokenstring
Required

Agency key (ak_), location secret key (sk_, reads only) or a scoped mcp_ key with creative_analysis:read or creative_analysis:write. See Using an mcp_ key over HTTP.

Agency key (ak_), location secret key (sk_, reads only) or a scoped mcp_ key with creative_analysis:read or creative_analysis:write. See Using an mcp_ key over HTTP.
query
location_idstring

Location to scope to. Required for ak_ keys or send X-Location-Id. Ignored for sk_.

query
account_idstring
Pattern: ^[0-9]+$
query
campaign_idstring
Pattern: ^[0-9]+$
query
adset_idstring
Pattern: ^[0-9]+$
query
statusstring

Meta effective_status such as ACTIVE or PAUSED, or gone.

query
formatstring
Options: image, video, carousel, dynamic, unknown
query
tagstring

An analysis tag as family.tag, e.g. offer.guarantee.

query
epicstring

in_order: only creatives whose copy or transcript reads all four E.P.I.C. stages in order.

Options: in_order
query
sincestring

Ads created on or after this ISO date.

query
limitinteger
Min: 1 • Max: 200
query
cursorstring

next_cursor from the previous page.

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. Agency key (ak_), location secret key (sk_, reads only) or a scoped mcp_ key with creative_analysis:read or creative_analysis:write. See Using an mcp_ key over HTTP.

Query Parameters

location_idstring

Location to scope to. Required for ak_ keys or send X-Location-Id. Ignored for sk_.

statusstring

Meta effective_status such as ACTIVE or PAUSED, or gone.

formatstring
Allowed values:imagevideocarouseldynamicunknown
tagstring

An analysis tag as family.tag, e.g. offer.guarantee.

epicstring

in_order: only creatives whose copy or transcript reads all four E.P.I.C. stages in order.

Allowed values:in_order
sincestring

Ads created on or after this ISO date.

cursorstring

next_cursor from the previous page.

Responses

successboolean
dataarray
next_cursorstring
spend_errorstring

Set when 30-day spend could not be read; spend_30d is then null.

metaobject